Bug 120262 - Fileopen DOC: tables imported with reduced width if too close to the floating rectangle
Summary: Fileopen DOC: tables imported with reduced width if too close to the floatin...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:doc
Depends on:
Blocks: DOC-Tables
  Show dependency treegraph
 
Reported: 2018-10-02 08:34 UTC by Timur
Modified: 2021-10-03 04:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-10-02 08:34:13 UTC
The sample DOC attachment 118608 [details] from Bug 94135 has the additional regression from LO 6.0 that tables are imported with reduced width. 
Tested with 6.2+.
PDF attachment 118609 [details] is as it should look - exported with Word Viewer on Windows.
Comment 1 BogdanB 2018-10-02 18:30:21 UTC
I tried to bibisect with 5.4 and 6.0, but no succes.
On 5.4 ALL versions are good.
On 6.0 ALL versions are bad.
Comment 2 raal 2018-10-02 19:07:18 UTC
This seems to have begun at the below commit.
Adding Cc: to Mike Kaganski ; Could you possibly take a look at this one?
Thanks

a9e158faa9a56abbd94125550076c41bb402b36a is the first bad commit
commit a9e158faa9a56abbd94125550076c41bb402b36a
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Sep 12 22:05:32 2017 +0200

    source sha:a952d1f59f4f84380b82f1eb9e550b8f69c4be5d

author	Mike Kaganski <mike.kaganski@collabora.com>	2017-09-12 13:54:26 +0300
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-09-12 14:28:23 +0200
commit	a952d1f59f4f84380b82f1eb9e550b8f69c4be5d (patch)
tree	b1ea98ccf222a73ecd395c9517d2b9d895b68ed5
parent	83748e50026bff56aaa1c2f7bfb0b1557344d72c (diff)
tdf#112346: take Word no-wrap limit into account also for ww8
Comment 3 Mike Kaganski 2018-10-02 19:22:07 UTC
Please use more appropriate wording here. No regression in 6.0 - what you see is actually a great improvement over 5.4:

in 5.4, all the data below first page was hidden (because of the table being put into a floating frame); in 6.0, it's imported ~normally, but for some reason, with main table being a bit too close to the top-right floating rectangle, which causes its wrapping to shrink the main table on first page. Inserting a newline above the main table "fixes" the layout.

Currently, I can't invest into fixing the space above the table; but again - this isn't a regression at all.
Comment 4 Timur 2018-10-04 08:46:11 UTC
I set to "minor" than. Sorry for the noise.
Comment 5 Timur 2019-10-03 07:40:00 UTC
Repro 6.4+ as seen in screenshot attachment 154719 [details].
Comment 6 QA Administrators 2021-10-03 04:07:31 UTC
Dear Timur,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug